Skip to main content
GET
/
workflows
List Workflows
curl --request GET \
  --url https://api.example.com/workflows \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "nodes": [
      {}
    ],
    "edges": [
      {}
    ],
    "status": "<string>",
    "version": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "global_nodes": [
      "<string>"
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:100
offset
integer
default:0
status_filter
string | null

Response

Successful Response

id
string<uuid>
required
tenant_id
string<uuid>
required
name
string
required
nodes
Nodes · object[]
required
edges
Edges · object[]
required
status
string
required
version
integer
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string | null
global_nodes
string[] | null